#
# spec file for package perl-Set-IntSpan
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Set-IntSpan
Version:        1.19
Release:        1.20
%define cpan_name Set-IntSpan
Summary:        Manages sets of integers
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Set-IntSpan/
Source:         http://www.cpan.org/authors/id/S/SW/SWMCD/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
%{perl_requires}

%description
'Set::IntSpan' manages sets of integers. It is optimized for sets that have
long runs of consecutive integers. These arise, for example, in .newsrc
files, which maintain lists of articles:

  alt.foo: 1-21,28,31
  alt.bar: 1-14192,14194,14196-14221

A run of consecutive integers is sometimes called a _span_.

Sets are stored internally in a run-length coded form. This provides for
both compact storage and efficient computation. In particular, set
operations can be performed directly on the encoded representation.

'Set::IntSpan' is designed to manage finite sets. However, it can also
represent some simple infinite sets, such as { x | x>n }. This allows
operations involving complements to be carried out consistently, without
having to worry about the actual value of INT_MAX on your machine.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Sep  9 2013 pgajdos@suse.com
- updated to 1.19:
  * unit test fix
  * POD
  * no use integer
  * optimize _copy_array
* Thu Nov 11 2010 pgajdos@suse.cz
- updated to 1.16:
  * unit test fix for Perl 5.6.2 on x86_64
* Mon Nov  8 2010 pgajdos@suse.cz
- updated to 1.15:
  * added span_ord() method
* Thu Aug 19 2010 pgajdos@suse.cz
- updated to 1.14:
  * added ord() method
* Thu Jan 17 2008 pgajdos@suse.cz
- updated to 1.13:
  * recoded member(), insert(), and remove() to use a binary search
  * added support for spans in constructors
* Fri Jul 27 2007 pgajdos@suse.cz
- package moved from OBS, version 1.11
* Thu Jun 21 2007 sierkb@gmx.de
- Update to version 1.11
- Optimize packlist handling
* Sun Nov 12 2006 sierkb@gmx.de
- Rebuild for openSUSE
- Spec file cleanup: removed # neededforbuild
* Wed Jun 21 2006 sierkb@gmx.de
- Update to version 1.09
* Wed Jun 14 2006 sierkb@gmx.de
- Rebuild for SUSE Linux 10.1
* Mon Nov 14 2005 sierkb@gmx.de
- Rebuild for SUSE Linux 10.0 OSS
* Thu Jun  9 2005 sierkb@gmx.de
- Initial build for SuSE Linux
